2 Replies Latest reply on Nov 12, 2004 4:59 AM by Thierry Janaudy

    jbosscmp-jdbc_4_0.dtd problem

    Thierry Janaudy Newbie

      Hello,

      I am deploying a simple one to many relationship on jBoss 4.
      I am using XDoclet 1.2.2.
      I have tried to use the latest DTD by using:
      <jboss version="4.0" ... for XDoclet.

      The deployment works ok if I am using version 3.0, but if I replace it
      by 3.2 or 4.0, I have a deployment exception:

      10:46:25,252 ERROR [EntityContainer] Starting failed jboss.j2ee:jndiName=org.jyperion.sample.j2ee.ebcmr.ItemBean,service
      =EJB
      org.jboss.deployment.DeploymentException: Both roles of a relation-table mapped relationship must have key fields: ejb-r
      elation-name=order-items

      ...

      Obiously, the jbosscmp-jdbc.xml is identical when XDoclet generates it for 3.0 or 4.0, only the DTD reference changes.

      The DTDs are different obviously, but I cannot find what should be added to jbosscmp-jdbc.xml in order to fix this problem.

      Can you please help?

      Thierry